BlackBerry Database Viewer

Cellica Software Services
http://www.cellica.com

Introduction

Think of the time when you had created databases on your computer and wanted to view it on your BlackBerry device when you are away from your computer. BlackBerry Database Viewer will help you to view the contents of your desktop databases like MS Access, FoxPro, dBase, Excel and any ODBC Compliant Database like Oracle, SQL Server on BlackBerry through the USB cable.

It has two components: One works on Microsoft Windows based Computer (i.e. desktop side) and other on BlackBerry handheld (i.e. device side). This device side application is also referred as BlackBerry Database Viewer. Use the Windows program to transfer your database tables to USB cable connected BlackBerry device.

The device side application has to be started before transfer of desktop data. After successful transfer of data, you can view data by selecting various menu options.

Features

BlackBerry Database Viewer has features, which help you carry the data with you on your BlackBerry. You can view the records of your database tables in a grid form or even single record form. And, the most useful feature in BlackBerry Database Viewer is that you can perform SQL queries on the desktop database before sending it to BlackBerry. You can write SQL Select query having contents of two or more tables based on desired relationships.
    1. Transfer the desktop database to your BlackBerry without having any third party synchronization tool.
    2. The data transfer will be taken place simply through the USB cable.
    3. Supported databases: MS Access, Oracle, FoxPro, dBase, MS Excel, MySQL and any ODBC compliant databases.
    4. Allow to start any of the either applications (i.e. desktop and device side) in any order.
    5. Apply SQL Select queries on database to purify records by adding filter criteria.
    6. View records either in grid form or single record form.
    7. Make a phone call for the selected field's numeric contents, which will be treated as phone number.
    8. Customize the display of date and time fields.
    9. Resize the column width in grid view as per user's convenience.
    10. Search for desired string within an entire database.
    11. In detail view, locate for desired string within a selected field.
    12. Jump to the desired record directly in both forms of view.
    13. Protect the device-side DatabaseViewer application by password.
    14. Enable or disable the password protection feature as per user's choice.
    15. Facilitate user-friendly keypad interface.


How to use BlackBerry Database Viewer

 This section will explain how to use Microsoft Windows desktop of BlackBerry Database Viewer by discussing one example. Suppose you have one Mircosoft Access database named: NWIND.mdb having tables named Employee, Customers, and Products in it. You wanted to view the contents of these databases on BlackBerry. Let's see how can it be done?

Please follow the steps as given below:

Installing software on Microsoft Windows based Computer and BlackBerry:

After downloading the .zip file, you may unzip it to the desired folder. It will result into creation of two folders viz. Desktop DBViewer and Device DBViewer. In the Device DBViewer folder you may find the two files viz. dbviewer.alx and dbviewer.cod.

Now. you may directly run the desktop-side DBViewer application, by double-clicking on the BBDBViewer.exe.
However, before running the desktop application, you must first of all install the device-side application as described below.

In order to install the device-side DBViewer application, follow the steps as under:
01. Start Blackberry Desktop Manager and double-click on Application Loader icon.
02. Press the Next button until you will get the list of applications.
03. Now press the Add button and go to Device DBViewer folder.
04. Select the dbviewer.alx file from there, and press the Open button.
05. Please check the DBViewer check box & confirm the action as Install.
06. Now press the Next button to install the device-side BlackBerry DBViewer application.

Open Desktop Application

Run desktop DBViewer.exe program. You will see the following screen.

Database Selection

In Connection to Database section, Click on Browse button to select file of type: Access, FoxPro, dBase or Excel or click on popup provided to select database via Database Source (DSN). You will see list of available Database Source Name. You can manage DSN via ODBC Data Source Manager in Control Panel.
For now, click on Browse button. You will see screen as follows.

Select database of your choice, for example NWIND.mdb, and click Open. Database Viewer will display tables in NWIND.mdb as below.

Note: When you select an Excel file using Browse button, you will get a dialog prompt as

Here, when you select "View As Excel Worksheet", contents will be shown similar to that of Excel Worksheet. Where as, when you select "View as ODBC Database", it will treated as a database. In this case customized SQL queries will work on your Spreadsheet.

Table/Field Selection

NWIND.mdb has tables namely: Employees, Orders and Products etc. Select tables say Employees. You can select multiple tables by check marking while selecting table names. By default, all the fields are selected

You can select/Unselect fields from window below the Table list window. As you perform these operations, query window below field List changes automatically.

Apply Filters

If you want to get filtered records, Click on Filters button. You will see following screen.

Apply your filters to different available fields. Use appropriate operators and filter values. Remember, filter values must be proper as per data type of selected fields. Press Help, ? for more information on filters.

Apply Sort Orders

If you want to get sorted records, Click on Sort Order button. You will see following screen.

Apply sort orders to different available fields. You can order fields in ascending or descending order.

Content Preview

Now Press Preview button to access the records based on query available in query window. You will see something as follows:

You can optimize this output to the extent you want by specifying select query in the query window.

Transfer of Data

After selecting & previewing the desired database contents, simply press the Send button to transfer the selected data to the connected BlackBerry device. After successful transfer of data, it will show the proper message. If the BlackBerry device is not connected properly via the USB cable then, it will show instructional message.

Please follow the important instructions regarding the transfer of data:
  1. Firstly, make sure that the USB cable is properly connected between both your computer and your BlackBerry device.
  2. You can start either of the Database Viewer applications (i.e. desktop or device side) in any order.
  3. Select the desired table(s) from the selected database & look upon the preview, at the desktop side.
  4. Now, click the Send button to actually transfer the data to the connected BlackBerry device.
  5. Wait for the message to be diaplyed. And hence, do not close desktop application unless the device side BlackBerry Database Viewer application displays the proper message box of success or failure of data transfer.
Please note that,
  • During the data transfer, if there will be no enough free space available on your BlackBerry handheld device, then the proper error message will be displayed at the desktop side, mean while the device application will automatically closes down, indicating the failure of data import process.
  • You can transfer as many databases as you can, in one such execution session.
  • Do not transfer the database with the name that already exists on the BlackBerry Database Viewer device application.
  • The database name should be maximum of 10 characters long, else extra characters will be truncated.


Now we will see, how to get and view the desktop database in BlackBerry DBViewer

Open BlackBerry Application

Select the BlackBerry DBViewer icon on your BlackBerry device to launch it. You will get similar screen as:

Enter the registration key, you got from cellica.com, into this Register dialog. Or just press Enter key to bypass it, which means that you are using DBViewer application as an evaluation copy. You can invoke the Register dialog by selecting the Register menu option of the same screen.

Note that, DBViewer will access only five records in evaluation copy.

Now the DBViewer is ready for accepting data coming from the selected desktop database, provided the USB cable is properly connected.
While data transfer is going on, the progress is shown in the status bar at the bottom of the screen. Mean while you won't need to wait for transfer process to be completed, you can simply do your work with DBViewer without any hesitation with available databases. DBViewer will acknowledge you about the success or failure of data transfer by showing the proper message.

Note that, DBViewer won't allow you to acces the database one which is currently transferring.

View Database Contents

Select one from the available databases and click the trackwheel to activate the menu. Choose the Open menu option, to view the selected database contents. The database contents can be viewed in two view modes: (1) Grid (2) Record. They are shown as:

Fig. Grid view

Fig. Record view

Note that, DBViewer won't allow you to access the database contents unless you select it.

Grid view

There are various useful menu options on this screen as:
Detail View: You can see the full contents of the selected field in the Detail View screen.
Find & Find Next: are discussed in the next topic entitled as Search Contents.
Goto Record: After selecting this menu option, it will show you the dialog which allows you to enter the record number where you want to jump. This results into jumping to the specified record number.
Record View: You can shift the Single Record view.
Call xxx: You can even make a phone call for the presently selected field's numeric contents, which will be treated as phone number, let's say 715554848 as shown in following figure.
This screen is shown as:

Fig. Grid view with menu options

Note that, when you finished with a phone call, either press Escape key or ALT+Escape keys to come back to BlackBerry Database Viewer.
Also note that, all the common menu options of the Grid view screen, will behave in the same manner in Record View also.

Detail view

This screen will show you all the contents of the selected field. It also facilitates you with Find & Find Next menu options to search the specified string to be searched within this field only. At each found, it shows the found location in the status bar at the bottom of the screen.
This screen is shown as:

Fig. Detail view

Search Contents

To search a particular string within the selected database, you can use "Find" and "Find Next" menu options available in both "Grid" and "Single Record" view.

Here while searching you need to enter a search string. You can search within all fields of a table of within a selected single field. Search may also be case sensitive. Field begins with... option searches specified string at the start of a field. You can search for numeric, string, date, time or any other type of field depending on its display format. Use Find Next menu option for next search.

Now its time to customize various options.

Customization

Record View: You can set record view option which will be get into effect while opening the selected database.
Date Format: You can customize the way date fields are shown.
Time Format: You can customize the way time fields are shown.
Decimal Places: You can even set the number of decimal places to be displayed, from Decimal Places option.
Grid Column Width: You can also resize the width of the column in grid view, from Grid Column Width option.
Select any one option to customize and choose the Change option menu option to change it.

The Preference screen is shown as:

Fig. Customizing various options

Please NOTE that, if you forget the pasword, there is no way to recover it. NAd hence, should be remebered.

Keypad Interface

Grid View: You can navigate the records within the selected database as:
  • Scroll to first record, press 1.
  • Scroll to last record, press 7.
  • Scroll to previous page, press 3.
  • Scroll to next page, press 9.
  • Scroll to first column, press 4.
  • Scroll to last column, press 6.
  • Find the next item, press 0.
You can invoke various screens as:
  • Open the Record View screen Alt+Enter.
  • Open the Preference screen Alt+P.
  • Open the Detail View screen Alt+D.
  • Open the Find dialog Alt+S.
  • Open the Goto dialog Alt+G.

Record View: You can navigate the records within the selected database as:
  • Scroll to first record, press 1.
  • Scroll to last record, press 7.
  • Scroll to previous record, press 3.
  • Scroll to next record, press 9.
  • Scroll to first column, press 4.
  • Scroll to last column, press 6.
  • Find the next item, press 0.
You can invoke various screens as:
  • Open the Grid View screen Alt+Enter.
  • Open the Preference screen Alt+P.
  • Open the Detail View screen Alt+D.
  • Open the Find dialog Alt+S.
  • Open the Goto dialog Alt+G.

Detail View: You can search the specified string within the selected column contents as:
  • Find the next item, press 0.


Support for BlackBerry Database Viewer

Supported Data Types

Currently Database Viewer supports following data types.
  1. Memo, Char, VarChar2, nVarchar, nVarchar2
  2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
  3. GUID
  4. Date/Time
  5. AutoNumber of type: Long Integer
  6. Yes/No
  7. HyperLink
  8. Currency

Buy Now

Product URL

http://www.cellica.com/bbdbviewer.htm

Contacting Cellica

You can refer to the following mail addresses to contact us:
  • Product support
    support@cellica.com
  • General inquiries
    info@cellica.com
  • Sales inquiries
    sales@cellica.com


Database Viewer
Cellica Software Services
http://www.cellica.com

  • Introduction:

    Think of the case where you had created Access databases on your desktop and wanted it to be viewed on Palm to refer it while you are in plane or waiting for bus. Welcome to Database Viewer. It will help you to view the contents of your desktop databases like MS Access, FoxPro, dBase, Excel and any ODBC Compliant Database like Oracle, SQL Server on palm. It follows very simple approach. What we did is: we provided you two programs. One works on desktop computer having Microsoft windows and other on Palm device. You just have to use the desktop side program (DBViewer.exe) to convert your database tables into .pdb format which palm side program (DBViewer.prc) understands. Now Install that .pdb on palm, start DBViewer and you are on your way.

  • Features:

    Database Viewer has features which helps you to become mobile with your database. You can view the records of your database tables in grid of rows and columns or one at time. You can even customize the display of date and time in more than 5 different formats. You can export database records to standard Palm OS MemoPad application. And, The most important improvement in Database Viewer is: Now you can apply queries on database to filter PDB contents. You can write SQL Select query to create pdb having contents of two or more tables based on relationships.
    1. Supported formats: MS Access, MS FoxPro, MS dBase, MS Excel and Any ODBC Compliant Database.
    2. Apply SQL Select queries on database to purify records.
    3. Export database records to MemoPad with or with out field names.
    4. View database tables: all at a time or record at a time.
    5. Customize the display of date and time fields.
  • Tutorial

    Database Viewer has very simple approach for operating as discussed in Introduction section. This section will explain how to use desktop and palm side program of Database Viewer by taking one example. Consider you have one Access database named: NWIND.mdb having tables named Employees, Orders and Products in it. You wanted to view the contents of this database on Palm with Database Viewer. How to do it? Let's proceed....

    First we will see, How to create .pdb file having records of your database on desktop?
    Remember, Evaluation copy generate pdb with 5 records only.

    Step: 1
    First make sure that you had installed Database Viewer application properly. If you have not installed it yet, run the setup.exe. Setup program ask you where to install application and hotsync name to use for registration information. After installation is over you can hotsync your palm to bring Database Viewer on Palm. Remember to use the same hotsync name as you provided while installation.

    Step: 2
    Run DBViewer.exe program from the directory where you installed Database Viewer. You will see the following screen.

    Step: 3
    In Connection to Database section, Click on Browse button to select file of type: Access, FoxPro, dBase or Excel or click on popup provided to select database via Database Source (DSN). You will see list of available Database Source Name. You can manage DSN via ODBC Data Source Manager in Control Panel.
    For now, click on Browse button. You will see screen as follows.

    Step: 4
    Select database of your choice, say NWIND.mdb, and click Open. Database Viewer will display tables in NWIND.mdb as follows:

    Step: 5
    NWIND.mdb has tables namely: Employees, Orders and Orders. Select tables say Employees. You can select multiple tables by pressing Ctrl key while selecting table names. Now screen will look like as follows:

    By default, Each and every field is selected. You can add or remove them from Selected Fields list. As you perform these operations, query window below Table List changes automatically.

    Step: 6
    If you want to get filtered records, Click on Filters button. You will see following screen.

    Apply your filters to different available fields. Use appropriate operators and filter values. Remember, filter values must be proper as per data type of selected fields. Press Help for more information on filters.

    Step: 7
    If you want to get sorted records, Click on Sort Order button. You will see following screen.

    Apply sort orders to different available fields. You can order fields in ascending or descending order.

    Step: 8
    Now Press Fetch button to access the records based on query available in query window. You will see something as follows:

    You can purify this output at the extent you want by specifying select query in query window.

    Step: 9
    Now In Generate PDB section, Specify PDB Name field. This will be used as name of pdb file to be generated. Specify Save PDB At field to the directory where you want to generate the pdb file. Now click on Generate button. This will generate PDB file in the directory specified. You can follow the same process for the other tables as well. This PDB is Palm Compatible image of your database table. So, you are half done. Just install this .pdb file on Palm and you are on your way for exploration.

Note: When you select an Excel file using Browse button, you will get a dialog prompt as

Here, when you select "View As Excel Worksheet", contents will be shown similar to that of Excel Worksheet. Where as, when you select "View as ODBC Database", it will treated as a database. In this case customized SQL queries will work on your sheet.

Now we will see, How to view the generated .pdb with DBViewer on Palm?

Step: 10
Tap DBViewer icon [image] on your palm to launch it. You will see something as follows:

Tap on Employees table to select it. Tap on Design icon to know more about selected table. It displays name of table, total number of fields and records in it. But for now, Tap on Open icon

Step: 11
Tapping on Open icon displays selected table contents. Table contents can be viewed in two mode: (1) All at once (2) Record at a Time

Fig. All at Once

Fig. Record at a time

Now we will see, How to Export database record to MemoPad application?

Step: 12
Select record you want to export to MemoPad and tap on To MemoPad... option from Record menu.

Fig. Exporting Record to MemoPad

Now its time to customize various options.

Step: 13
You can customize the way date and time fields are shown. Select Date Display... or Time Display... option form Options menu to set date or time display format respectively.

Fig. Customizing various options

Step: 14
You can set the number of decimal places to be displayed in record view from "Decimal Display.." customization. From options menu select "Decimal Display.." and set the number of decimal places to display for each decimal number in record view.

Step: 15
To search a particular string within a single table, you can use "Find" and "Find Again" icons available in "All at Once" and "Single Record" view.

Here while searching you need to enter a search string. You can search within all fields of a table of within a selected single field. Search can be case sensitive. "Field Begins with..." option searches specified string at the start of each field. You can search for numeric, string, date, time or any other type of field depending on it's display format in record view.

  • Supported Data Types
    Currently Database Viewer supports following data types.
    1. Memo, Char, VarChar2
    2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
    3. GUID
    4. Date/Time
    5. AutoNumber of type: Long Integer
    6. Yes/No
    7. HyperLink
    8. Currency

  • Buy Now

    http://www.handango.com/PlatformProductDetail.jsp?productId=64649

    http://www.palmgear.com/software/showsoftware.cfm?prodID=48562

  • Contacting Cellica
    You can refer to the following mail addresses to contact us:
    • Product support
      support@cellica.com
    • General inquiries
      info@cellica.com
    • Sales inquiries
      sales@cellica.com
    • Comments
      webmaster@cellica.com
    • Consulting
      consulting@cellica.com
    • Softwares
      customsoftware@cellica.com